# Luxsci.Api.WebAidesApi

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

| Method | HTTP request | Description |
|--------|--------------|-------------|
| [**AddUpdateWebAideEntries**](WebAidesApi.md#addupdatewebaideentries) | **POST** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries/import |  |
| [**DeleteWebAide**](WebAidesApi.md#deletewebaide) | **DELETE** /user/{username}/webaides/{webaide_type}/{webaide_id} |  |
| [**DeleteWebAideEntries**](WebAidesApi.md#deletewebaideentries) | **POST** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries/delete |  |
| [**DeleteWebAideEntry**](WebAidesApi.md#deletewebaideentry) | **DELETE** /user/{username}/webaides/{webaide_type}/{webaide_id}/{entry_id} |  |
| [**GetCalendarEntriesDateRange**](WebAidesApi.md#getcalendarentriesdaterange) | **GET** /user/{username}/webaides/calendar/{webaide_id}/entries/date_range |  |
| [**GetWebAide**](WebAidesApi.md#getwebaide) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id} |  |
| [**GetWebAideChanges**](WebAidesApi.md#getwebaidechanges) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries/changes |  |
| [**GetWebAideEntries**](WebAidesApi.md#getwebaideentries) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id}/entries |  |
| [**GetWebAideEntry**](WebAidesApi.md#getwebaideentry) | **GET** /user/{username}/webaides/{webaide_type}/{webaide_id}/{entry_id} |  |
| [**GetWebAides**](WebAidesApi.md#getwebaides) | **GET** /user/{username}/webaides/{webaide_type} |  |
| [**NewWebAide**](WebAidesApi.md#newwebaide) | **POST** /user/{username}/webaides/{webaide_type} |  |
| [**NewWebAideEntry**](WebAidesApi.md#newwebaideentry) | **POST** /user/{username}/webaides/{webaide_type}/{webaide_id} |  |
| [**UpdateWebAideEntry**](WebAidesApi.md#updatewebaideentry) | **PUT** /user/{username}/webaides/{webaide_type}/{webaide_id}/{entry_id} |  |

<a name="addupdatewebaideentries"></a>
# **AddUpdateWebAideEntries**
> AddUpdateWebAideEntries200Response AddUpdateWebAideEntries (string username, string webaideType, string webaideId, string? cookie = null, AddUpdateWebAideEntriesRequest? addUpdateWebAideEntriesRequest = null)



Add/update multiple entries of a WebAide all at once.  Address Book Imports: SecureLine data can be sent in this way as well (i.e. Escrow question and answer, PGP key, S/MIME key, etc.). SecureLine data is imported if and only if the “SecureLine Mode” field is present and not empty for an entry. Any entries that are updated and for which “SecureLine Mode” is left blank, will have their existing SecureLine settings left “as-is”.  Note: Each WebAide is limited to 25,000 entries by default. If your WebAide has this many entries (or more), then this AddUpdateWebAideEntries command will return an error (even if you are only intending to do updates). If you need larger WebAides, please contact support. Very large WebAides may require use of a dedicated server.  See also [WebAide definitions](/rest-api/webaides.html).  {{ACL: Access to that specific type of WebAides; Add/Update Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddUpdateWebAideEntriesExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var addUpdateWebAideEntriesRequest = new AddUpdateWebAideEntriesRequest?(); // AddUpdateWebAideEntriesRequest? |  (optional) 

            try
            {
                AddUpdateWebAideEntries200Response result = apiInstance.AddUpdateWebAideEntries(username, webaideType, webaideId, cookie, addUpdateWebAideEntriesRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.AddUpdateWebAideEntries: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddUpdateWebAideEntriesWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddUpdateWebAideEntries200Response> response = apiInstance.AddUpdateWebAideEntriesWithHttpInfo(username, webaideType, webaideId, cookie, addUpdateWebAideEntriesRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.AddUpdateWebAideEntriesWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **addUpdateWebAideEntriesRequest** | [**AddUpdateWebAideEntriesRequest?**](AddUpdateWebAideEntriesRequest?.md) |  | [optional]  |

### Return type

[**AddUpdateWebAideEntries200Response**](AddUpdateWebAideEntries200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response body for a successful request will have data in the “data” in the JSON response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletewebaide"></a>
# **DeleteWebAide**
> Authentication201Response DeleteWebAide (string username, string webaideType, string webaideId, string? cookie = null)



Delete a WebAide of type `webaide_type` whose unique ID is `webaide_id`. This WebAide must be owned by the user in question. See also [WebAide definitions](/rest-api/webaides.html).  {{ACL: Access to that specific type of WebAides; Delete Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteWebAideExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.DeleteWebAide(username, webaideType, webaideId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.DeleteWebAide: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteWebAideWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.DeleteWebAideWithHttpInfo(username, webaideType, webaideId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.DeleteWebAideWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | nothing in data. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletewebaideentries"></a>
# **DeleteWebAideEntries**
> DeleteWebAideEntries200Response DeleteWebAideEntries (string username, string webaideType, string webaideId, string? cookie = null, DeleteWebAideEntriesRequest? deleteWebAideEntriesRequest = null)



Delete multiple entries from a WebAide all at once. (Since we are not deleting an individual entity at a specific address, this is a POST instead of a DELETE method). See also [WebAide definitions](/rest-api/webaides.html). {{ACL: Access to that specific type of WebAides; Delete Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteWebAideEntriesExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var deleteWebAideEntriesRequest = new DeleteWebAideEntriesRequest?(); // DeleteWebAideEntriesRequest? |  (optional) 

            try
            {
                DeleteWebAideEntries200Response result = apiInstance.DeleteWebAideEntries(username, webaideType, webaideId, cookie, deleteWebAideEntriesRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.DeleteWebAideEntries: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteWebAideEntriesWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<DeleteWebAideEntries200Response> response = apiInstance.DeleteWebAideEntriesWithHttpInfo(username, webaideType, webaideId, cookie, deleteWebAideEntriesRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.DeleteWebAideEntriesWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **deleteWebAideEntriesRequest** | [**DeleteWebAideEntriesRequest?**](DeleteWebAideEntriesRequest?.md) |  | [optional]  |

### Return type

[**DeleteWebAideEntries200Response**](DeleteWebAideEntries200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | \&quot;\&quot; |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletewebaideentry"></a>
# **DeleteWebAideEntry**
> DeleteWebAideEntry200Response DeleteWebAideEntry (string username, string webaideType, string webaideId, string entryId, string? cookie = null)



Delete an existing WebAide Entry. See also [WebAide definitions](/rest-api/webaides.html). {{ACL: Access to that specific type of WebAides; Delete Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteWebAideEntryExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var entryId = "entryId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                DeleteWebAideEntry200Response result = apiInstance.DeleteWebAideEntry(username, webaideType, webaideId, entryId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.DeleteWebAideEntry: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteWebAideEntryWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<DeleteWebAideEntry200Response> response = apiInstance.DeleteWebAideEntryWithHttpInfo(username, webaideType, webaideId, entryId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.DeleteWebAideEntryWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **entryId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**DeleteWebAideEntry200Response**](DeleteWebAideEntry200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response body for a successful request will have data in the “data” in the JSON response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getcalendarentriesdaterange"></a>
# **GetCalendarEntriesDateRange**
> GetCalendarEntriesDateRange200Response GetCalendarEntriesDateRange (string username, string webaideId, string before, string from, string? entries = null, string? cookie = null)



Gets a list of entries in a specified Calendar WebAide that fall within a specified range of dates. For recurring entries, the entry will be returned if any of its instances fall within the specified date range. The date range is taken to be dates in GMT. See also [WebAide definitions](/rest-api/webaides.html).  {{ACL: Access to WebAide Calendars; Read Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetCalendarEntriesDateRangeExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var before = "before_example";  // string | DATE: “YYYY-MM-DD” in GMT (where 00:00:00 GMT is implied) Required. Entries that contain events before this date.
            var from = "from_example";  // string | DATE: “YYYY-MM-DD” in GMT (where 00:00:00 GMT is implied)<br><br>Required. Entries that contain events on or after this date.
            var entries = "entries_example";  // string? | Comma-delimited list of entry Unique IDs. e.g. “10786,77892,23”<br><br>Optional. If included, the search is restricted to only entries in this list.<br><br>Note, if you want to use a very long list of entries, you might want to use several requests so that you do not exceed the maximum URL query string size of 8190 bytes. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetCalendarEntriesDateRange200Response result = apiInstance.GetCalendarEntriesDateRange(username, webaideId, before, from, entries);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.GetCalendarEntriesDateRange: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetCalendarEntriesDateRangeWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetCalendarEntriesDateRange200Response> response = apiInstance.GetCalendarEntriesDateRangeWithHttpInfo(username, webaideId, before, from, entries);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.GetCalendarEntriesDateRangeWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **before** | **string** | DATE: “YYYY-MM-DD” in GMT (where 00:00:00 GMT is implied) Required. Entries that contain events before this date. |  |
| **from** | **string** | DATE: “YYYY-MM-DD” in GMT (where 00:00:00 GMT is implied)&lt;br&gt;&lt;br&gt;Required. Entries that contain events on or after this date. |  |
| **entries** | **string?** | Comma-delimited list of entry Unique IDs. e.g. “10786,77892,23”&lt;br&gt;&lt;br&gt;Optional. If included, the search is restricted to only entries in this list.&lt;br&gt;&lt;br&gt;Note, if you want to use a very long list of entries, you might want to use several requests so that you do not exceed the maximum URL query string size of 8190 bytes. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetCalendarEntriesDateRange200Response**](GetCalendarEntriesDateRange200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response body for a successful request will have data in the “data” in the JSON response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getwebaide"></a>
# **GetWebAide**
> GetWebAides200Response GetWebAide (string username, string webaideType, string webaideId, string? changes = null, string? cookie = null)



This call is like `getWebAides`, except that the call is simplified and targeted at a specific, single WebAide. See also [WebAide definitions](/rest-api/webaides.html). {{ACL: Access to that specific type of WebAides; Read Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetWebAideExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var changes = "changes_example";  // string? | Optional. DateTime in GMT in the format: YYYY-MM-DD HH:MM:SS. If this is provided, a sub call to “GetWebAideChanges” will be made for each returned WebAide, giving you summary counts of numbers of entries and adds/updates/deletes since the specified date.<br><br>Specify an old date (e.g. “2000-01-01”) if all you care about is the total number of entries.<br><br>Use of “changes” is the recommended way to get the number of entries in one or more WebAides in an efficient manner. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetWebAides200Response result = apiInstance.GetWebAide(username, webaideType, webaideId, changes);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.GetWebAide: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetWebAideWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetWebAides200Response> response = apiInstance.GetWebAideWithHttpInfo(username, webaideType, webaideId, changes);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.GetWebAideWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **changes** | **string?** | Optional. DateTime in GMT in the format: YYYY-MM-DD HH:MM:SS. If this is provided, a sub call to “GetWebAideChanges” will be made for each returned WebAide, giving you summary counts of numbers of entries and adds/updates/deletes since the specified date.&lt;br&gt;&lt;br&gt;Specify an old date (e.g. “2000-01-01”) if all you care about is the total number of entries.&lt;br&gt;&lt;br&gt;Use of “changes” is the recommended way to get the number of entries in one or more WebAides in an efficient manner. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetWebAides200Response**](GetWebAides200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the “data” component of the response. The result will be the same as that for &#x60;getWebAides&#x60;. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getwebaidechanges"></a>
# **GetWebAideChanges**
> GetWebAideChanges200Response GetWebAideChanges (string username, string webaideType, string webaideId, string modified, string? cookie = null)



Return all WebAide entries added, changed, or deleted since a particular time. See also [WebAide definitions](/rest-api/webaides.html).  {{ACL: Access to that specific type of WebAides; Read Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetWebAideChangesExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var modified = "modified_example";  // string | Timestamp “YYYYMMDDHHMMSS” in GMT or “YYYY-MM-DD HH:MM:SS” in GMT<br><br>Return all WebAide entries added, changed, or deleted since this timestamp. If you specify “0” here, it will return a list of all entries that exist now and all that have been deleted.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetWebAideChanges200Response result = apiInstance.GetWebAideChanges(username, webaideType, webaideId, modified);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.GetWebAideChanges: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetWebAideChangesWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetWebAideChanges200Response> response = apiInstance.GetWebAideChangesWithHttpInfo(username, webaideType, webaideId, modified);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.GetWebAideChangesWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **modified** | **string** | Timestamp “YYYYMMDDHHMMSS” in GMT or “YYYY-MM-DD HH:MM:SS” in GMT&lt;br&gt;&lt;br&gt;Return all WebAide entries added, changed, or deleted since this timestamp. If you specify “0” here, it will return a list of all entries that exist now and all that have been deleted. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetWebAideChanges200Response**](GetWebAideChanges200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | \&quot;\&quot; |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getwebaideentries"></a>
# **GetWebAideEntries**
> GetWebAideEntries200Response GetWebAideEntries (string username, string webaideType, string webaideId, List<string>? entries = null, int? limit = null, int? resume = null, int? secureline = null, int? showcomplete = null, string? sort = null, int? start = null, string? timezone = null, string? cookie = null)



Retrieve the detailed contents of all WebAide entries matching a query. See also [WebAide definitions](/rest-api/webaides.html).  {{ACL: Access to that specific type of WebAides; Read Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetWebAideEntriesExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var entries = new List<string>?(); // List<string>? | Optional. Comma-delimited list of entry Unique IDs. e.g. “10786,77892,23”.  If included, the search is restricted to only entries in this list.  Note, if you want to use a very long list of entries, you might want to use several requests so that you do not exceed the maximum URL query string size of 8190 bytes. (optional) 
            var limit = 500;  // int? | Optional. Integer 1 to 500. How many entries to return (maximum). Default is 500. (optional)  (default to 500)
            var resume = 0;  // int? | Integer:1 or 0. If 0 (the default), begin a new search. If 1, continue the previous search. When returning successive “pages” or entries, use resume for faster and more consistent results. (optional)  (default to 0)
            var secureline = 0;  // int? | Integer 1 or 0 If specified as ‘1’, SecureLine-specific Address Book fields are included in the export. I.e., this includes the SecureLine Escrow Question/Answer pair and/or PGP and S/MIME public keys. (optional) 
            var showcomplete = 0;  // int? | Integer 1 or 0 If specified as ‘1’, get completed tasks for ‘Tasks’ WebAides. By default, only uncompleted tasks are returned. (optional) 
            var sort = "modified";  // string? | Optional method by which the returned entries should be sorted. (optional) 
            var start = 0;  // int? | Optional. The default is 0. Index in the list of all entries from which to start the result set. Use this to return successive “pages” of entries. (optional)  (default to 0)
            var timezone = "timezone_example";  // string? | Time zone code. The time zone to use for Calendar/Task dates and times. The user’s default time zone is used if no time zone is specified. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetWebAideEntries200Response result = apiInstance.GetWebAideEntries(username, webaideType, webaideId, entries, limit, resume, secureline, showcomplete, sort, start, timezone);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.GetWebAideEntries: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetWebAideEntriesWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetWebAideEntries200Response> response = apiInstance.GetWebAideEntriesWithHttpInfo(username, webaideType, webaideId, entries, limit, resume, secureline, showcomplete, sort, start, timezone);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.GetWebAideEntriesWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **entries** | [**List&lt;string&gt;?**](string.md) | Optional. Comma-delimited list of entry Unique IDs. e.g. “10786,77892,23”.  If included, the search is restricted to only entries in this list.  Note, if you want to use a very long list of entries, you might want to use several requests so that you do not exceed the maximum URL query string size of 8190 bytes. | [optional]  |
| **limit** | **int?** | Optional. Integer 1 to 500. How many entries to return (maximum). Default is 500. | [optional] [default to 500] |
| **resume** | **int?** | Integer:1 or 0. If 0 (the default), begin a new search. If 1, continue the previous search. When returning successive “pages” or entries, use resume for faster and more consistent results. | [optional] [default to 0] |
| **secureline** | **int?** | Integer 1 or 0 If specified as ‘1’, SecureLine-specific Address Book fields are included in the export. I.e., this includes the SecureLine Escrow Question/Answer pair and/or PGP and S/MIME public keys. | [optional]  |
| **showcomplete** | **int?** | Integer 1 or 0 If specified as ‘1’, get completed tasks for ‘Tasks’ WebAides. By default, only uncompleted tasks are returned. | [optional]  |
| **sort** | **string?** | Optional method by which the returned entries should be sorted. | [optional]  |
| **start** | **int?** | Optional. The default is 0. Index in the list of all entries from which to start the result set. Use this to return successive “pages” of entries. | [optional] [default to 0] |
| **timezone** | **string?** | Time zone code. The time zone to use for Calendar/Task dates and times. The user’s default time zone is used if no time zone is specified. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetWebAideEntries200Response**](GetWebAideEntries200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response body for a successful request will have data in the “data” in the JSON response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getwebaideentry"></a>
# **GetWebAideEntry**
> UpdateUser200Response GetWebAideEntry (string username, string webaideType, string webaideId, string entryId, string? cookie = null)



Retrieve the detailed contents of a specific WebAide entry. See also [WebAide definitions](/rest-api/webaides.html). {{ACL: Access to that specific type of WebAides; Read Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetWebAideEntryExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var entryId = "entryId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.GetWebAideEntry(username, webaideType, webaideId, entryId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.GetWebAideEntry: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetWebAideEntryWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.GetWebAideEntryWithHttpInfo(username, webaideType, webaideId, entryId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.GetWebAideEntryWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **entryId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | data contains the entry details as a object. See webaide entry data fields for the field names and meanings of the fields returned. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getwebaides"></a>
# **GetWebAides**
> GetWebAides200Response GetWebAides (string username, string webaideType, string? subscribed = null, List<string>? ids = null, List<string>? permissions = null, string? modified = null, string? changes = null, string? cookie = null)



Return a list of all WebAides accessible to the specified user, that are also of the indicated type. You can use the query string to add filters to narrow down the results. See also [WebAide definitions](/rest-api/webaides.html). {{ACL: Access to that specific type of WebAides; Read Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetWebAidesExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var subscribed = "all";  // string? | Filter by WebAide subscription status<ul><li>all - select all</li><li>subscribed - return those subscribed</li><li>unsubscribed - return those not subscribed</li><li>tosync - return those tagged for synchronization with MobileSync.</li> (optional) 
            var ids = new List<string>?(); // List<string>? | List of the numerical WebAide IDs eligible to be returned. (optional) 
            var permissions = new List<string>?(); // List<string>? | Values can include those in the webaide_permission list. Select only WebAides where the user has all of the indicated permissions (optional) 
            var modified = "modified_example";  // string? | DateTime in GMT in the format: YYYY-MM-DD HH:MM:SS. Return all WebAides that have had any entry created, deleted, or modified on or after this date and time. Values can include those in the webaide_permission list. (optional) 
            var changes = "changes_example";  // string? | Optional. DateTime in GMT in the format: YYYY-MM-DD HH:MM:SS. If this is provided, a sub call to “GetWebAideChanges” will be made for each returned WebAide, giving you summary counts of numbers of entries and adds/ updates/deletes since the specified date.<br><br>Specify an old date (e.g. “2000-01-01”) if all you care about is the total number of entries.<br><br>Use of “changes” is the recommended way to get the number of entries in one or more WebAides in an efficient manner. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetWebAides200Response result = apiInstance.GetWebAides(username, webaideType, subscribed, ids, permissions, modified, changes);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.GetWebAides: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetWebAidesWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetWebAides200Response> response = apiInstance.GetWebAidesWithHttpInfo(username, webaideType, subscribed, ids, permissions, modified, changes);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.GetWebAidesWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **subscribed** | **string?** | Filter by WebAide subscription status&lt;ul&gt;&lt;li&gt;all - select all&lt;/li&gt;&lt;li&gt;subscribed - return those subscribed&lt;/li&gt;&lt;li&gt;unsubscribed - return those not subscribed&lt;/li&gt;&lt;li&gt;tosync - return those tagged for synchronization with MobileSync.&lt;/li&gt; | [optional]  |
| **ids** | [**List&lt;string&gt;?**](string.md) | List of the numerical WebAide IDs eligible to be returned. | [optional]  |
| **permissions** | [**List&lt;string&gt;?**](string.md) | Values can include those in the webaide_permission list. Select only WebAides where the user has all of the indicated permissions | [optional]  |
| **modified** | **string?** | DateTime in GMT in the format: YYYY-MM-DD HH:MM:SS. Return all WebAides that have had any entry created, deleted, or modified on or after this date and time. Values can include those in the webaide_permission list. | [optional]  |
| **changes** | **string?** | Optional. DateTime in GMT in the format: YYYY-MM-DD HH:MM:SS. If this is provided, a sub call to “GetWebAideChanges” will be made for each returned WebAide, giving you summary counts of numbers of entries and adds/ updates/deletes since the specified date.&lt;br&gt;&lt;br&gt;Specify an old date (e.g. “2000-01-01”) if all you care about is the total number of entries.&lt;br&gt;&lt;br&gt;Use of “changes” is the recommended way to get the number of entries in one or more WebAides in an efficient manner. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetWebAides200Response**](GetWebAides200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response body for a successful request will have a list of objects as the “data” in the JSON response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="newwebaide"></a>
# **NewWebAide**
> NewWebAide200Response NewWebAide (string username, string webaideType, string? cookie = null, NewWebAideRequest? newWebAideRequest = null)



Create a new WebAide of type webaide_type. E.g. creation of a new “Address Book”.   Note: Each user is limited to 500 WebAides of each type. Trying to create more will result in an error being returned.  See also [WebAide definitions](/rest-api/webaides.html).  {{ACL: Access to that specific type of WebAides; Add/Update Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class NewWebAideExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var newWebAideRequest = new NewWebAideRequest?(); // NewWebAideRequest? |  (optional) 

            try
            {
                NewWebAide200Response result = apiInstance.NewWebAide(username, webaideType, cookie, newWebAideRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.NewWebAide: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the NewWebAideWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<NewWebAide200Response> response = apiInstance.NewWebAideWithHttpInfo(username, webaideType, cookie, newWebAideRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.NewWebAideWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **newWebAideRequest** | [**NewWebAideRequest?**](NewWebAideRequest?.md) |  | [optional]  |

### Return type

[**NewWebAide200Response**](NewWebAide200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response body for a successful request will have data in the “data” in the JSON response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="newwebaideentry"></a>
# **NewWebAideEntry**
> NewWebAideEntry200Response NewWebAideEntry (string username, string webaideType, string webaideId, string? cookie = null, NewWebAideEntryRequest? newWebAideEntryRequest = null)



Create a new WebAide Entry. Note that invalid fields may simply be ignored, rather than generate an actual error. E.g. an invalid “E-mail Address” field will simply result in that field being omitted in the new entry. We recommend that you validate your own data and not rely on request errors to do the validation for you.  Note: Each WebAide is limited to 25,000 entries by default. If your WebAide has this many entries (or more), then this NewWebAideEntry command will return an error. If you need larger WebAides, please contact support. Very large WebAides may require the use of a dedicated server.  See also [WebAide definitions](/rest-api/webaides.html).  {{ACL: Access to that specific type of WebAides; Add/Change Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class NewWebAideEntryExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var newWebAideEntryRequest = new NewWebAideEntryRequest?(); // NewWebAideEntryRequest? |  (optional) 

            try
            {
                NewWebAideEntry200Response result = apiInstance.NewWebAideEntry(username, webaideType, webaideId, cookie, newWebAideEntryRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.NewWebAideEntry: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the NewWebAideEntryWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<NewWebAideEntry200Response> response = apiInstance.NewWebAideEntryWithHttpInfo(username, webaideType, webaideId, cookie, newWebAideEntryRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.NewWebAideEntryWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **newWebAideEntryRequest** | [**NewWebAideEntryRequest?**](NewWebAideEntryRequest?.md) |  | [optional]  |

### Return type

[**NewWebAideEntry200Response**](NewWebAideEntry200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response body for a successful request will have data in the “data” in the JSON response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updatewebaideentry"></a>
# **UpdateWebAideEntry**
> UpdateWebAideEntry200Response UpdateWebAideEntry (string username, string webaideType, string webaideId, string entryId, string? cookie = null, UpdateWebAideEntryRequest? updateWebAideEntryRequest = null)



Update an existing WebAide Entry. This function will replace the data in all entry fields with the new data supplied. It is recommended that you retrieve the complete entry, alter it, and then update it – so that you update does not delete data from an entry simply because you did not include those fields in your update.  File attachments on entries are unaffected by this command.   See also [WebAide definitions](/rest-api/webaides.html).  {{ACL: Access to that specific type of WebAides; Add/Change Accessible WebAides and Entries }}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateWebAideEntryExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new WebAidesApi(config);
            var username = "username_example";  // string | 
            var webaideType = "webaideType_example";  // string | 
            var webaideId = "webaideId_example";  // string | 
            var entryId = "entryId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var updateWebAideEntryRequest = new UpdateWebAideEntryRequest?(); // UpdateWebAideEntryRequest? |  (optional) 

            try
            {
                UpdateWebAideEntry200Response result = apiInstance.UpdateWebAideEntry(username, webaideType, webaideId, entryId, cookie, updateWebAideEntryRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling WebAidesApi.UpdateWebAideEntry: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateWebAideEntryWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateWebAideEntry200Response> response = apiInstance.UpdateWebAideEntryWithHttpInfo(username, webaideType, webaideId, entryId, cookie, updateWebAideEntryRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling WebAidesApi.UpdateWebAideEntryWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **webaideType** | **string** |  |  |
| **webaideId** | **string** |  |  |
| **entryId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **updateWebAideEntryRequest** | [**UpdateWebAideEntryRequest?**](UpdateWebAideEntryRequest?.md) |  | [optional]  |

### Return type

[**UpdateWebAideEntry200Response**](UpdateWebAideEntry200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response body for a successful request will have data in the “data” in the JSON response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

